WyrdOS
Open App

Stacks

API endpoints for stacks

List stack directory entries

GET /api/v1/stacks

Parameters

NameInTypeRequiredDescription
organisationIdquerystringNo
searchquerystringNo
categoryIdquerystringNo
subcategoryIdquerystringNo
limitqueryintegerNo

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/stacks?organisationId=<organisationId>&search=<search>&categoryId=<categoryId>&subcategoryId=<subcategoryId>&limit=<limit>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": [
    {
      "_id": "item_abc123",
      "name": "Launch readiness",
      "website": "https://example.com",
      "docs": "Launch readiness",
      "description": "Track onboarding work for the beta launch.",
      "userId": "item_abc123",
      "organisationId": "org_abc123",
      "createdAt": 1782828000000,
      "updatedAt": 1782828000000
    }
  ]
}

Response body type

{ data: Stack[] }


Create stack directory entry

POST /api/v1/stacks

Example request

curl -X POST \
"https://<your-wyrdos-api-host>/api/v1/stacks" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","website":"https://example.com","docs":"Launch readiness","description":"Track onboarding work for the beta launch.","organisationId":"org_abc123","categoryIds":["category_docs"],"subcategoryIds":["category_docs"],"containerIds":["container_product"]}'

Response body type


Get stack directory entry

GET /api/v1/stacks/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X GET \
"https://<your-wyrdos-api-host>/api/v1/stacks/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Example response

Status: 200

{
  "data": {
    "_id": "item_abc123",
    "name": "Launch readiness",
    "website": "https://example.com",
    "docs": "Launch readiness",
    "description": "Track onboarding work for the beta launch.",
    "userId": "item_abc123",
    "organisationId": "org_abc123",
    "createdAt": 1782828000000,
    "updatedAt": 1782828000000
  }
}

Response body type

{ data: Stack }


Update stack directory entry

PATCH /api/v1/stacks/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X PATCH \
"https://<your-wyrdos-api-host>/api/v1/stacks/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json" \
-d '{"name":"Launch readiness","website":"https://example.com","docs":"Launch readiness","description":"Track onboarding work for the beta launch.","containerIds":["container_product"]}'

Response body type


Delete stack directory entry

DELETE /api/v1/stacks/{id}

Parameters

NameInTypeRequiredDescription
idpathstringYes

Example request

curl -X DELETE \
"https://<your-wyrdos-api-host>/api/v1/stacks/<id>" \
-H "Authorization: Bearer <API_KEY>" \
-H "Content-Type: application/json"

Response body type